<!DOCTYPE html>
<html lang="en">
   <head>
	  <meta charset="utf-8">
	  <title>DoorKey</title>
	  <meta name="viewport" content="width=device-width, initial-scale=1">
	  <link href="https://fonts.googleapis.com/css?family=Raleway:400,300,600" rel="stylesheet" type="text/css">
	  <link rel="stylesheet" href="/public/css/normalize.css">
	  <link rel="stylesheet" href="/public/css/skeleton.css">
	  <link rel="stylesheet" href="/public/css/spin.css">
	  <link rel="stylesheet" href="/public/css/stylesheet.css">
	  <link rel="icon" type="image/png" href="/public/favicon-16x16.png">
   </head>
   <body>
	  <div class="container">
		 <div class="row">
			<div class="one-half column" style="margin-top: 5%">
			   <h4>Add user</h4>
			   <label for="username">Username</label>
			   <input class="u-full-width" type="text" placeholder="John Doe" id="username">
			   <label for="rfid-add">RFID code</label>
			   <small style="color: #f03333; display: none;" id="add-error">RFID already used!</small>
			   <input class="u-full-width" type="text" placeholder="12345678" id="rfid-add">
			   <a class="button" id="rfid-add-btn">Read RFID</a>
			   <a class="button button-primary" id="add-btn">Add</a>
			   <div class="loading" id="spinner1"></div>
			</div>
			<div class="one-half column" style="margin-top: 5%">
			   <h4>Remove user</h4>
			   <label for="rfid-remove">RFID code</label>
			   <small style="color: #f03333; display: none;" id="remove-error">RFID not in database!</small>
			   <input class="u-full-width" type="text" placeholder="12345678" id="rfid-remove">
			   <a class="button" id="rfid-remove-btn">Read RFID</a>
			   <a class="button button-primary" id="remove-btn">Remove</a>
			   <div class="loading" id="spinner2"></div>
			</div>
		 </div>
		 <div class="row">
			<div class="twelve columns" style="margin-top: 5%">
			   <h4>Log</h4>
			   <label for="table">Last 10 entries</label>
			   <table class="u-full-width" id="table">
				  <thead>
					 <tr>
						<th>ID</th>
						<th>Name</th>
						<th>RFID</th>
						<th>Date</th>
					 </tr>
				  </thead>
				  <tbody>
				  </tbody>
			   </table>
			</div>
		 </div>
	  </div>
   </body>
   <script type="text/javascript" src="/public/js/jquery-3.4.1.min.js"></script>
   <script type="text/javascript" src="/public/js/main.js"></script>
</html>